:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}
a:hover {
  color: #535bf2;
}

body {
  margin: 0;
  display: flex;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  border-color: #646cff;
}
button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}
/* the s codes */
/* :root{

} */
*{
  margin:0;
  padding:0;
  box-sizing: border-box;
}
body{
  font-family: "IBM Plex Mono", sans-serif;
  background-color: #f7f7f7;
}
p{
  text-align: left;
}

.badge{
  white-space: nowrap;
  padding:0.3rem 0.5rem;
  border-radius: 0.6rem;
  display: inline-block;
  font-size: 0.9rem;
}
.badge--primary{
  background-color: #dcfce7;
  color:#15803d;
}
.badge--secondary{
  background-color: #f1f5f9;
  color:#334155;
}
.badge--danger{
  background-color: #ffedd5;
  color:#c2410c;
}